{ lib, ... }:

{
  imports = [ ../boards/x230.nix ../common.nix ];

  grub2 = {
    enable = true;
    extraPayloadModules = [ "luks" "crypto" "gcry_sha256"
                            "gcry_rijndael" "pbkdf2" ];
    extraConfig = ''
      menuentry "NixOS" {
        cryptomount -u f1440abd-99e3-46a8-aa36-7824972fee54
        search --set=cryptdrive --fs-uuid 672c497c-18aa-4b00-ac95-78e810363d81
        configfile ($cryptdrive)/grub/grub.cfg
      }
    '';
  };
  
  seabios = {
    enable = true;
    asSecondaryPayload = true; 
  };

  corenix = {
    corebootConfig = {
      CONFIG_LINEAR_FRAMEBUFFER_MAX_WIDTH = "1366";
      CONFIG_LINEAR_FRAMEBUFFER_MAX_HEIGHT = "768";
    };
    
    extraFiles."background.jpg".src = lib.mkForce ./splash.jpg;
  };
}
