{ config, lib, pkgs, ... }:

with lib;

let
  cfg = config.tianocore;
  payloadName =
    if cfg.asSecondaryPayload then "img/tianocore" else "fallback/payload";

in {
  options.tianocore = {
    enable = mkEnableOption "tianocore coreboot primary payload";

    asSecondaryPayload = mkOption {
      type = types.bool;
      default = false;
    };
  };

  config = lib.mkIf cfg.enable {
    corenix.extraFiles = {
      ${payloadName} = {
        type = "payload";
        src = "${pkgs.coreboot-payload-tianocore}/FV/UEFIPAYLOAD.fd";
      };
    };
  };
}
