{ config, pkgs, ... }:

{
  services.nginx.virtualHosts."stream.spacekookie.de" = {
    serverAliases = [ "spacekookie.de" ];
    enableACME = false;
    useACMEHost = "spacekookie.de";
    forceSSL = true;
    locations."/" = {
      root = pkgs.brook-frontend;
      index = "index.html";
    };
    locations."/xmpp-bosh" = {
      proxyPass = "http://localhost:5280/http-bind";
      extraConfig = ''
        proxy_set_header Host guest-xmpp.spacekookie.de;
        proxy_set_header X-Forwarded-For guest-xmpp.spacekookie.de;
        proxy_buffering off;
        tcp_nodelay on;
      '';
    };
    locations."/dash" = {
      root = "/var/lib";
    };
    locations."/metrics" = {
      proxyPass = "http://localhost:7667";
    };
  };
  
}
