Title: Labels are language
Category: Blog
Date: 2019-09-20 15:38
Tags: politics


A phrase that I've heard way too fucking often recently (this edition
will contain swearing and might not be suitable for children of ages
below `NaN`) is "I don't care about labels, I want to do politics!"

As one might expect, this sentiment often comes from centrists. But
more often than not, it comes from fellow leftists. People who are
otherwise somewhat radical in their approach of the world, people who
think capitalism's gotta go and (sometimes) that states and borders
are bad. And it's a stance that has confused me, and keeps confusing
me and which is why I'm now writing a blog post about it because
apparently that's what I do.

The problem I have with "I don't care about labels" is that it's
analogous to "I don't care about language".

Labels are a linguistic tool to talk about `$stuff` without having to
build up an entire language from first principles in every
sentence. Labels are very useful for general conversation about
things, like "what is a table?", "what is a train?", "what is art?",
etc.

When we look at the definition of labels, there's usually three
kinds. There's labels for **natural things, with natural
definitions**, such as the definition of a prime number. These are
farely rare. Neither the definition of prime numbers, nor prime
numbers themselves are going to change due to cultural context.

Secondly, you have labels that refer to **natural things, with
cultural definitions**. These are things like planets, mountains or
rain. Definitions can change and they're also subject to cultural
differences. What you and I consider "rain" will most likely depend on
where we grew up, if there was frequent rain at all, etc.

The last category are **cultural things, with cultural definitions**,
such as art, sub-categories of it (movies, games, etc), as well as any
identity label. Calling myself an anarchist doesn't naturally depend
on anarchy as a concept occuring in nature, nor can I define it just
by pointing at other properties of natural definitions. Rather, I need
to pre-define a whole bunch of cultural context, for you to be able to
understand why I am an anarchist and what that means.

**And that's the fucking job of labels!** We can't have the same 5
conversations over and over again and we can't rely on the trust that
people around us are always gonna be on our side. We should have
conversations from time to time about what these labels mean to us,
especially when it becomes clear that there's miscommunication. 

But also, just because we're having a conversation about labels,
doesn't mean we need to start bikeshedding their definitions and scope
(whether it be anarchy, libertarian socialist, libertarian
communists - these are all kind of similar enough to work with). Their
context is still there to be used.

That doesn't mean that I am okay with any vaguely leftist label. I
have, over the last year or so, become more sceptical of communism,
talking about how you want to guillotine people and similar. Being an
anarchist means being opposed to state violence, no matter who's state
it is. But this isn't a conversation that is easy to have if I don't
already know a bunch of labels and can refer back to them. Furthermore,
maybe I don't _want_ to have this conversation in certain situations
so why would I have to engage with tankies when I don't want to?

Most of the time the people who say "I don't care about labels, I
wanna do poltics", never do any politics due to lack of a platform or
language to engage with similarly minded people about strategy.
That's because political action depends on the people doing it having
some understanding of the work they're doing, how it relates to others
and themselves. There's a reason why minority groups rely on labels
(such as people in the LGBTQ community), and they serve an important
role in our discourse.

This is not to say that we should try to make the onboarding easier
and use less jargon language when dealing with outsiders. Making
people more sympathetic to the radical left is important, albeit not a
job everybody might want to do.

Still...I feel labels are important, especially when we deal with
internal discourse. For the sake of the conversation, and everybody
involved in it.
