{ coreboot, stdenv, fetchurl }:

# the original tint does not support building as a coreboot payload
# the patches from the coreboot repo require building tint in-tree
# this makes everything a bit more complicated here

stdenv.mkDerivation rec {
  pname = "coreboot-payload-tint";
  version = "0.05";
  inherit (coreboot.drvAttrs) src postPatch;

  preConfigure = "cd payloads/external/tint";
  preBuild = ''
    tar -xf ${
      fetchurl {
        url =
          "https://mirror.fsf.org/trisquel/pool/main/t/tint/tint_${version}.tar.xz";
        sha256 = "1pfp3pqwci4wsjxhqik49v74hlgyg78j98x0g5disfcv37hpxb6r";
      }
    }
    mv tint{-${version},}
  '';
  installPhase = "install -D tint/tint.elf -t $out";
}
